LayoutDisplayMargins Example

Using Programming Languages other than VBA

Sub Example_LayoutDisplayMargins()
	' This example reads and modifies the preference value that controls
	' the display of margins in layouts. When finished, this example
	' resets the preference value back to its original value.

	Dim ACADPref As AcadPreferencesDisplay
	Dim originalValue As Variant, newValue As Variant

	' Get the display preferences object
	Set ACADPref = ThisDrawing.Application.preferences.DISPLAY

	' Switch to paper space to view this change
	ThisDrawing.ActiveSpace = acPaperSpace

	' Read and display the original value
	originalValue = ACADPref.LayoutDisplayMargins
	MsgBox "The LayoutDisplayMargins preference is set to: " & originalValue

	' Modify the LayoutDisplayMargins preference by toggling the value
	ACADPref.LayoutDisplayMargins = Not (originalValue)
	newValue = ACADPref.LayoutDisplayMargins
	ThisDrawing.Regen acAllViewports

	MsgBox "The LayoutDisplayMargins preference has been set to: " & newValue

	' Reset the preference back to its original value
	'
	' * Note: Comment out this last section to leave the change to
	'		 this preference in effect
	ACADPref.LayoutDisplayMargins = originalValue
	ThisDrawing.Regen acAllViewports

	MsgBox "The LayoutDisplayMargins preference was reset back to: " & originalValue
End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.